GET /api/v3/admin/accounting

Get accounting settings

GetAccountingSettingsV3

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

AccountingSettingsResponse
Property Description Type
accountPeriods List of accounting period names AccountPeriodResponse[]
AccountPeriodResponse properties
Property Description Type
accountPeriodId The account period identifier integer (int32)
name The name of the period string
periodNumber The period number integer (int32)
calendarizationMethod Calendarization method Value will be one of “monthly”, “user-defined” string
fiscalYearDefinedAtYear Fiscal year reflects the calendar year in which it Begins or Ends Value will be one of “beginning”, “ending” string
fiscalYearStartMonth First month of fiscal year Value will be from 1-12 integer (int32)
Example Response application/json
{  "accountPeriods": [
    {    "accountPeriodId": 1,    "name": "string",    "periodNumber": 1
  }
  ],  "calendarizationMethod": "string",  "fiscalYearDefinedAtYear": "string",  "fiscalYearStartMonth": 1
}